<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
/*Возьмите выполненное задание выше (созданная вами функция createNewUser()) и дополните ее следующим функционалом:

При вызове функция должна спросить у вызывающего дату рождения (текст в формате dd.mm.yyyy) и сохранить ее в поле birthday.
Создать метод getAge() который будет возвращать сколько пользователю лет.
Создать метод getPassword(), который будет возвращать первую букву имени пользователя в верхнем регистре, 
соединенную с фамилией (в нижнем регистре) и годом рождения.
 (например, Ivan Kravchenko 13.03.1992 → Ikravchenko1992)
Вывести в консоль результат работы функции createNewUser(), а также функций getAge() и getPassword() созданного объекта.*/
function createNewUser(firstName,lastName,birthday){ 
            this.firstName=prompt("Enter your name:","Name");
            this.lastName=prompt("Enter your surname:","Surname");
            // добавила запрос на ввод даты рождения
            this.birthday=prompt("Enter the date of your birth by example:","dd.mm.yyyy"); 
        };
        let newUser=new createNewUser();
        newUser.getLogin=()=>{
          let newLogin=newUser.firstName.charAt(0).toLowerCase()+newUser.lastName.toLowerCase();
           return newLogin;
        };
        document.write(`Your new login: ${newUser.getLogin()}</br>`);
        //создала объект now с текущей датой и временем
        let now=new Date();
        //создала метод для newUser для вычисления возраста
        newUser.getAge=()=>{
            /*из сегодняшней даты now методом getfullyear получила ТОЛЬКО нынешний год
            и отняла год рождения,который вывела из введенной даты рождения
            при вводе дата рождения - string, поэтому методом slice для строчных элементов
            я вырезала последние 4 символа - год рождения*/
            let age=now.getFullYear()-newUser.birthday.slice(6,10);
            return age;}
        document.write(`Your age: ${newUser.getAge()}</br>`);
        //функция для создания нового пароля
        newUser.getPassword=()=>{
            let newPassword=newUser.firstName.charAt(0).toUpperCase() + newUser.lastName.toLowerCase()+newUser.birthday.slice(6,10);
            return newPassword;
        };
        document.write(`Your new password: ${newUser.getPassword()}`);
</script>
</body>
</html>